/* Copyright 2007 Deutsches Zentrum fuer Luft- und Raumfahrt e.V. (DLR)
*
* Licensed under the Apache License, Version 2.0 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
*     http://www.apache.org/licenses/LICENSE-2.0
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*/

#ifndef __dav_repos_version_H
#define __dav_repos_version_H__

#include <mod_dav.h>

#define VCR_SEPRATOR   "/!/"
#define VHR_STR        "his"

/*
** This structure is used to make report response
**
** "nmspace" should be valid XML and URL-quoted. mod_dav will place
** double-quotes around it and use it in an xmlns declaration.
*/
typedef struct dav_repos_report_elem
{
    const char *nmspace;        /* namespace of the XML report element */
    const char *name;           /* element name for the XML report */
    int found;                  /* Check the name is found or not */

    struct dav_repos_report_elem *next;
}
dav_repos_report_elem;


#endif


